package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 建筑基本信息对象 adm_area_building
 * 
 * @author ruoyi
 * @date 2024-07-09
 */
public class AreaBuilding extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 建筑编码 */
    private String bldgCode;

    /** 建筑名称 */
    @Excel(name = "建筑名称")
    private String bldgName;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** 建筑层数（地上） */
    @Excel(name = "建筑层数（地上）")
    private Long upBldgFloor;

    /** 建筑层数（地下） */
    @Excel(name = "建筑层数（地下）")
    private Long downBldgFloor;

    /** 建筑高度 */
    @Excel(name = "建筑高度")
    private Long bldgHeight;

    /** 建筑面积（平方米 m²） */
    @Excel(name = "建筑面积（平方米,m=²）")
    private Long floorArea;

    /** 主要用途 */
    @Excel(name = "主要用途")
    private String bldgUsage;

    /** 所属园区code */
    private String areaCode;

    /** 所属园区名称 */
    @Excel(name = "园区")
    private String areaName;

    private String areaShortName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBldgCode(String bldgCode) 
    {
        this.bldgCode = bldgCode;
    }

    public String getBldgCode() 
    {
        return bldgCode;
    }
    public void setBldgName(String bldgName) 
    {
        this.bldgName = bldgName;
    }

    public String getBldgName() 
    {
        return bldgName;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setUpBldgFloor(Long upBldgFloor) 
    {
        this.upBldgFloor = upBldgFloor;
    }

    public Long getUpBldgFloor() 
    {
        return upBldgFloor;
    }
    public void setDownBldgFloor(Long downBldgFloor) 
    {
        this.downBldgFloor = downBldgFloor;
    }

    public Long getDownBldgFloor() 
    {
        return downBldgFloor;
    }
    public void setBldgHeight(Long bldgHeight) 
    {
        this.bldgHeight = bldgHeight;
    }

    public Long getBldgHeight() 
    {
        return bldgHeight;
    }
    public void setFloorArea(Long floorArea) 
    {
        this.floorArea = floorArea;
    }

    public Long getFloorArea() 
    {
        return floorArea;
    }
    public void setBldgUsage(String bldgUsage) 
    {
        this.bldgUsage = bldgUsage;
    }

    public String getBldgUsage() 
    {
        return bldgUsage;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaShortName() {
        return areaShortName;
    }

    public void setAreaShortName(String areaShortName) {
        this.areaShortName = areaShortName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bldgCode", getBldgCode())
            .append("bldgName", getBldgName())
            .append("address", getAddress())
            .append("upBldgFloor", getUpBldgFloor())
            .append("downBldgFloor", getDownBldgFloor())
            .append("bldgHeight", getBldgHeight())
            .append("floorArea", getFloorArea())
            .append("bldgUsage", getBldgUsage())
            .append("areaCode", getAreaCode())
            .toString();
    }
}
